"""ConstructionConsultationSystem URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/2.1/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""

import xadmin
from django.urls import path, include, re_path
from rest_framework_swagger.views import get_swagger_view

schema_view = get_swagger_view(title="我的docs")
from django.views.static import serve
from . import settings
from django.views.generic.base import TemplateView

urlpatterns = [
    path('', TemplateView.as_view(template_name='index.html')),
    path('docs/', schema_view),
    path('api/file/', include(('File.urls', 'File'), namespace='File')),
    path('xadmin/', xadmin.site.urls),
    re_path(r'media/(?P<path>.*)', serve, {'document_root': settings.MEDIA_ROOT}),
    path('api-auth/', include('rest_framework.urls')),
    path('api/user/', include(('User.urls', 'User'), namespace='User')),
    path('api/project/', include(('ProjectInfoDisplay.urls', 'ProjectInfoDisplay'), namespace='ProjectInfoDisplay')),
    path('api/decision/', include(('DecisionPhase.urls', 'DecisionPhase'), namespace='DecisionPhase')),
    path('api/implement/',
         include(('ImplementationPhase.urls', 'ImplementationPhase'), namespace='ImplementationPhase')),
    path('api/completion/', include(('CompletionPhase.urls', 'CompletionPhase'), namespace='CompletionPhase')),
    path('api/video/', include(('VideoDisplay.urls', 'VideoDisplay'), namespace='VideoDisplay')),
    path('api/setting/', include(('SystemSettings.urls', 'SystemSettings'), namespace='SystemSettings')),
    # path('api/account/', include(('SystemSettings.urls', 'SystemSettings'), namespace='SystemSettings')),
]
