# Generated by Django 2.0.10 on 2019-04-22 21:00

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('ProjectInfoDisplay', '0008_delete_file'),
        ('File', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Decision',
            fields=[
                ('decision_id', models.AutoField(primary_key=True, serialize=False, verbose_name='决策条目主键')),
                ('title', models.CharField(max_length=128, verbose_name='决策条目名称')),
                ('estimate', models.DecimalField(blank=True, decimal_places=2, default=0, help_text='限制其为小数（decimal），10.2（数字代表最大位数，eg.小数点前最大为7位）', max_digits=12, null=True, verbose_name='预计花费')),
                ('actual', models.DecimalField(blank=True, decimal_places=2, help_text='限制其为小数（decimal），10.2（数字代表最大位数，eg.小数点前最大为7位）', max_digits=12, null=True, verbose_name='实际花费')),
                ('status', models.CharField(choices=[('DONE', '已完成'), ('DOING', '正在办理'), ('CANNOT', '无法办理'), ('NEEDNOT', '不用办理'), ('WILLDO', '尚未办理')], default='尚未办理', max_length=8, verbose_name='状态')),
                ('project', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='ProjectInfoDisplay.Project', verbose_name='对应的工程项目')),
            ],
            options={
                'verbose_name': '项目决策阶段条目',
                'verbose_name_plural': '项目决策阶段条目',
            },
        ),
        migrations.CreateModel(
            name='DecisionMatter',
            fields=[
                ('matter_id', models.AutoField(primary_key=True, serialize=False, verbose_name='办理事项主键')),
                ('matter', models.CharField(max_length=256, verbose_name='办理事项')),
                ('number', models.CharField(blank=True, help_text='可空可不填', max_length=256, null=True, verbose_name='份数')),
                ('department', models.CharField(blank=True, help_text='可空可不填', max_length=256, null=True, verbose_name='办理部门')),
                ('status', models.CharField(blank=True, help_text='可空可不填', max_length=256, null=True, verbose_name='状态')),
                ('telephone', models.CharField(blank=True, help_text='可空可不填', max_length=256, null=True, verbose_name='联系方式')),
                ('paid_status', models.CharField(blank=True, help_text='可空可不填', max_length=256, null=True, verbose_name='是否缴费')),
                ('deal_time', models.CharField(blank=True, help_text='可空可不填', max_length=256, null=True, verbose_name='办理时限')),
                ('note', models.CharField(blank=True, help_text='可空可不填', max_length=256, null=True, verbose_name='备注')),
                ('decision', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='DecisionPhase.Decision', verbose_name='对应的决策条目')),
                ('file', models.ManyToManyField(blank=True, to='File.File', verbose_name='所需文件')),
            ],
            options={
                'verbose_name': '项目决策阶段对应文件',
                'verbose_name_plural': '项目决策阶段对应文件',
            },
        ),
    ]
