from django.db import models
from User.models import User

class File(models.Model):
    uuid = models.UUIDField(verbose_name="file uuid", default=None, blank=True, null=True
                            , help_text="uuid 由后台产生并返回")
    file = models.FileField(verbose_name="文件",
                            help_text="上传的文件路径", max_length=1024)
    name = models.CharField(verbose_name="文件名称", max_length=512,
                            help_text="文件名限制为130个字以内")
    url = models.CharField(verbose_name="文件访问路径",max_length=512,
                           help_text="可以直接访问")
    time = models.DateField(verbose_name="文件上传时间",auto_now_add=True)
    user = models.ForeignKey(
        User,
        verbose_name="上传用户",
        on_delete=models.CASCADE,
    )

    class Meta:
        verbose_name = '系统文件'
        ordering = ['id']
        verbose_name_plural = verbose_name
