from django.shortcuts import render
from .models import File
from django.views.generic.base import View
from django.shortcuts import HttpResponse
from django.contrib.auth.mixins import LoginRequiredMixin
import datetime
import os
from ConstructionConsultationSystem.settings import BASE_DIR
import  uuid
import time
from rest_framework.views import APIView
from rest_framework.response import Response

class UploadFile(LoginRequiredMixin,APIView):

    def post(self,request):
        try:
            image = request.FILES.get('image','')
            image_name = image.name
            name = str(time.time()) + "_" + image_name
            path = os.path.join(BASE_DIR, 'media','file', name)
            f = open(os.path.join(BASE_DIR, 'media','file', name), "wb")
            for chunk in image.chunks():
                f.write(chunk)
            f.close()
            url = f'{request.stream.scheme}://{request.stream.environ["HTTP_HOST"]}/media/file/{name}'
            File.objects.create(uuid=uuid.uuid3(uuid.NAMESPACE_DNS,name),
                                name=image_name,file=path,user=request.user,
                                url = url)
            return Response({
                'uuid': uuid.uuid3(uuid.NAMESPACE_DNS,name),
                'url' : url
            })
        except Exception as e:
            return Response({
                "error":f"上传文件出错！+{e}"
            })

    def get(self,request):
        pass
