import fetchAPI from '../utils/fetch'

export default {
  // application
  getApplicationList (project_id) {
    return fetchAPI('implement/application/', 'get', null, { project_id })
  },
  createApplication (project_id, data) {
    return fetchAPI('implement/application/', 'post', data, { project_id })
  },
  updateApplication (application_id, data) {
    return fetchAPI(`implement/application/${application_id}/`, 'put', data)
  },
  deleteApplication (application_id) {
    return fetchAPI(`implement/application/${application_id}/`, 'delete')
  },
  getApplication (application_id) {
    return fetchAPI(`implement/application/${application_id}/`, 'get')
  },
  // application matter
  createApplicationMatter (application_id, data) {
    return fetchAPI('implement/application/matter/', 'post', data, { application_id })
  },
  getApplicationMatterList (application_id) {
    return fetchAPI('implement/application/matter/', 'get', null, { application_id })
  },
  getApplicationMatter (matter_id) {
    return fetchAPI(`implement/application/matter/${matter_id}/`, 'get')
  },
  updateApplicationMatter (matter_id, data) {
    return fetchAPI(`implement/application/matter/${matter_id}/`, 'put', data)
  },
  deleteApplicationMatter (matter_id) {
    return fetchAPI(`implement/application/matter/${matter_id}/`, 'delete')
  },
  // bid
  getBidList (project_id) {
    return fetchAPI('implement/bid/', 'get', null, { project_id })
  },
  createBid (project_id, data) {
    return fetchAPI('implement/bid/', 'post', data, { project_id })
  },
  updateBid (bid_id, data) {
    return fetchAPI(`implement/bid/${bid_id}`, 'put', data)
  },
  deleteBid (bid_id) {
    return fetchAPI(`implement/bid/${bid_id}`, 'delete')
  },
  getBidSum (project_id) {
    return fetchAPI('implement/bid/sum/', 'get', null, { project_id })
  },
  // design item
  getDesignItemList (project_id) {
    return fetchAPI('implement/design/item/', 'get', null, { project_id })
  },
  getDesignItem (id) {
    return fetchAPI(`implement/design/item/${id}/`, 'get')
  },
  // design item doing
  getDesignItemDoing (project_id) {
    return fetchAPI('implement/design/item/doing/', 'get', null, { project_id })
  },
  updateDesignItemDoing (id, design_item) {
    return fetchAPI(`implement/design/item/doing/${id}/`, 'put', { design_item })
  },
  // design item file
  createDesignItemFile (id, file) {
    return fetchAPI(`implement/design/item/${id}/file/`, 'post', file)
  },
  deleteDesignItemFile (id) {
    return fetchAPI(`implement/design/item/file/${id}/`, 'delete')
  },
  // design company
  getDesignCompanyList (project_id) {
    return fetchAPI('implement/design/company/', 'get', null, { project_id })
  },
  createDesignCompany (designCompany, project_id) {
    return fetchAPI('implement/design/company/', 'post', designCompany, { project_id })
  },
  updateDesignCompany (id, designCompany) {
    return fetchAPI(`implement/design/company/${id}/`, 'put', designCompany)
  },
  deleteDesignCompany (id) {
    return fetchAPI(`implement/design/company/${id}/`, 'delete')
  }
}