import fetchAPI from '../utils/fetch'

export default {
  getProjectList (params) {
    return fetchAPI('project/', 'get', null, params)
  },
  createProject (project) {
    return fetchAPI('project/', 'post', project)
  },
  getProject (id) {
    return fetchAPI(`project/${id}/`, 'get')
  },
  updateProject (project) {
    return fetchAPI(`project/${project.id}/`, 'put', project)
  },
  deleteProject (id) {
    return fetchAPI(`project/${id}/`, 'delete')
  },
  getScaleList () {
    return fetchAPI('project/scale/', 'get')
  },
  getPropertyList () {
    return fetchAPI('project/property/', 'get')
  },
  getPurposeList () {
    return fetchAPI('project/purpose/', 'get')
  },
  getFundSourcesList () {
    return fetchAPI('project/fundSources/', 'get')
  },
  getStyleList () {
    return fetchAPI('project/style/', 'get')
  },
  validateID (id) {
    return fetchAPI('project/checkID/', 'post', { id })
  }
}
