from . import models
from rest_framework import serializers
from drf_writable_nested import WritableNestedModelSerializer
from File.serializers import FileSerializers

class ApplicationSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.Application
        exclude = ['project']
        read_only_fields = ['application_id']

class ApplicationMatterSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.ApplicationMatter
        exclude = ['application']
        read_only_fields = ['matter_id']

class BidSerializer(serializers.ModelSerializer):
    save_rate = serializers.DecimalField(source="get_save_rate",read_only=True
                                         ,max_digits=4,decimal_places=2)
    class Meta:
        model = models.BidItem
        exclude = ['project']
        read_only_fields = ['bid_id']

class DesignItemSerializer(WritableNestedModelSerializer):
    files = FileSerializers(many=True,required=False)
    class Meta:
        model = models.DesignItem
        exclude = ['project']
        read_only_fields = ['design_item_id']

class DesignItemDoingSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.DesignItemDoing
        fields = ['design_item','id']

class DesignCompanySerializer(serializers.ModelSerializer):
    class Meta:
        model = models.DesignCompany
        exclude = ['project']
        read_only_fields = ['company_id']
