from django.urls import path,include
from . import views
urlpatterns = [
    path('application/', views.ApplicationAPIView.as_view(), name='Application'),
    path('application/matter/', views.ApplicationMatterAPIView.as_view(), name='ApplicationMatter'),
    path('application/matter/<str:matter_id>/', views.ApplicationMatterDetailAPIView.as_view(),
         name='ApplicationMatterDetail'),
    path('application/<str:application_id>/', views.ApplicationDetailAPIView.as_view(),
         name='ApplicationDetail'),

    path('bid/', views.BidAPIView.as_view(), name='Bid'),
    path('bid/sum/', views.BidSumAPIView.as_view(), name='BidSum'),
    path('bid/status/',views.BidStatusAPIView.as_view(), name='BidStatus'),
    path('bid/<str:bid_id>/', views.BidDetailAPIView.as_view(), name='BidDetail'),

    path('design/item/', views.DesignItemAPIView.as_view(), name='DesignItem'),
    path('design/item/doing/', views.DesignItemDoingAPIView.as_view(), name='DesignItemDoing'),
    path('design/item/doing/<str:id>/', views.DesignItemDoingDetailAPIView.as_view(), name='DesignItemDoingDetailAPIView'),
    path('design/item/file/<int:id>/', views.DesignItemFileDetailAPIView.as_view(),
         name='DesignItemFileDetail'),
    path('design/item/<int:design_item_id>/file/', views.DesignItemFileAPIView.as_view(), name='DesignItemFile'),
    path('design/item/<int:design_item_id>/', views.DesignItemDetailAPIView.as_view(), name='DesignItemDetail'),

    path('design/company/', views.DesignCompanyAPIView.as_view(), name='DesignCompany'),
    path('design/company/<int:company_id>/', views.DesignCompanyDetailAPIView.as_view(), name='DesignCompanyDetail'),

]