# Generated by Django 2.0.10 on 2019-04-15 00:23

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='FundSources',
            fields=[
                ('value', models.AutoField(primary_key=True, serialize=False, verbose_name='编号')),
                ('label', models.CharField(max_length=16, unique=True, verbose_name='资金来源')),
                ('description', models.CharField(blank=True, max_length=64, null=True, verbose_name='具体描述')),
            ],
            options={
                'verbose_name': '项目工程资金来源',
                'verbose_name_plural': '项目工程资金来源',
                'ordering': ['value'],
            },
        ),
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.CharField(max_length=11, primary_key=True, serialize=False, verbose_name='项目编号')),
                ('name', models.CharField(max_length=256, verbose_name='项目名称')),
                ('place', models.CharField(max_length=128, verbose_name='建筑地点')),
                ('starting_date', models.DateField(help_text='两种格式：2018-01-02 | 2019/01/03', verbose_name='开工日期')),
                ('finishing_date', models.DateField(help_text='两种格式：2018-01-02 | 2019/01/03', verbose_name='竣工日期')),
                ('leader', models.CharField(max_length=32, verbose_name='项目负责人')),
                ('leader_phone', models.CharField(max_length=16, verbose_name='负责人手机号')),
                ('company', models.CharField(max_length=64, verbose_name='单位')),
                ('investment', models.DecimalField(blank=True, decimal_places=6, max_digits=16, null=True, verbose_name='投资额')),
                ('introduction', models.TextField(blank=True, max_length=2000, null=True, verbose_name='项目简介')),
                ('design_office', models.CharField(blank=True, max_length=64, null=True, verbose_name='设计单位')),
                ('supervision_office', models.CharField(blank=True, max_length=64, null=True, verbose_name='监理单位')),
                ('build_office', models.CharField(blank=True, max_length=64, null=True, verbose_name='施工单位')),
                ('cost', models.DecimalField(blank=True, decimal_places=6, max_digits=16, null=True, verbose_name='工程总造价')),
                ('condition', models.TextField(blank=True, max_length=2000, null=True, verbose_name='施工条件')),
                ('area', models.DecimalField(blank=True, decimal_places=3, max_digits=10, null=True, verbose_name='建筑面积(平方米)')),
                ('design_drawing_completion', models.PositiveIntegerField(blank=True, null=True, verbose_name='图纸设计完成情况')),
                ('contract_agreement', models.FileField(blank=True, null=True, upload_to='file/contract/', verbose_name='承包合同')),
                ('image', models.ImageField(blank=True, null=True, upload_to='file/project_image/', verbose_name='项目照片')),
                ('fund_sources', models.ManyToManyField(to='ProjectInfoDisplay.FundSources', verbose_name='资金来源')),
            ],
            options={
                'verbose_name': '项目信息',
                'verbose_name_plural': '项目信息',
                'ordering': ['id'],
            },
        ),
        migrations.CreateModel(
            name='ProjectProperty',
            fields=[
                ('value', models.AutoField(primary_key=True, serialize=False, verbose_name='编号')),
                ('label', models.CharField(max_length=32, unique=True, verbose_name='工程性质')),
                ('description', models.CharField(blank=True, max_length=64, null=True, verbose_name='具体描述')),
            ],
            options={
                'verbose_name': '项目工程性质',
                'verbose_name_plural': '项目工程性质',
                'ordering': ['value'],
            },
        ),
        migrations.CreateModel(
            name='ProjectPurpose',
            fields=[
                ('value', models.AutoField(primary_key=True, serialize=False, verbose_name='编号')),
                ('label', models.CharField(max_length=32, unique=True, verbose_name='项目用途')),
                ('description', models.CharField(blank=True, max_length=64, null=True, verbose_name='具体描述')),
            ],
            options={
                'verbose_name': '项目工程用途',
                'verbose_name_plural': '项目工程用途',
                'ordering': ['value'],
            },
        ),
        migrations.CreateModel(
            name='ProjectScale',
            fields=[
                ('value', models.AutoField(primary_key=True, serialize=False, verbose_name='编号')),
                ('label', models.CharField(max_length=32, unique=True, verbose_name='规模大小')),
                ('description', models.CharField(blank=True, max_length=64, null=True, verbose_name='具体描述')),
            ],
            options={
                'verbose_name': '项目工程规模',
                'verbose_name_plural': '项目工程规模',
                'ordering': ['value'],
            },
        ),
        migrations.CreateModel(
            name='Style',
            fields=[
                ('value', models.AutoField(primary_key=True, serialize=False, unique=True, verbose_name='编号')),
                ('label', models.CharField(max_length=32, unique=True, verbose_name='结构形式')),
                ('description', models.CharField(blank=True, max_length=64, null=True, verbose_name='具体描述')),
            ],
            options={
                'verbose_name': '项目工程结构形式',
                'verbose_name_plural': '项目工程结构形式',
                'ordering': ['value'],
            },
        ),
        migrations.AddField(
            model_name='project',
            name='property',
            field=models.ManyToManyField(to='ProjectInfoDisplay.ProjectProperty', verbose_name='工程性质'),
        ),
        migrations.AddField(
            model_name='project',
            name='purpose',
            field=models.ManyToManyField(to='ProjectInfoDisplay.ProjectPurpose', verbose_name='工程用途'),
        ),
        migrations.AddField(
            model_name='project',
            name='scale',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ProjectInfoDisplay.ProjectScale', verbose_name='项目规模'),
        ),
        migrations.AddField(
            model_name='project',
            name='style',
            field=models.ManyToManyField(to='ProjectInfoDisplay.Style', verbose_name='结构形式'),
        ),
        migrations.AddField(
            model_name='project',
            name='user',
            field=models.ManyToManyField(to=settings.AUTH_USER_MODEL, verbose_name='可操作用户'),
        ),
    ]
