from .models import User,Role,Permission,Actions
from rest_framework import serializers


class UserSerializer(serializers.ModelSerializer):

    class Meta:
        model = User
        fields = '__all__'

class ActionsSerializer(serializers.ModelSerializer):
    class Meta:
        model = Actions
        fields='__all__'

class PermissionSerializer(serializers.ModelSerializer):
    actions = ActionsSerializer(many=True)
    class Meta:
        model = Permission
        fields='__all__'


class RoleSerializer(serializers.ModelSerializer):
    permissions = PermissionSerializer(many=True)
    class Meta:
        model = Role
        fields='__all__'


class UserInfoSerializer(serializers.ModelSerializer):
    role = RoleSerializer()
    class Meta:
        model = User
        fields=['id','username','last_login', 'date_joined','role']

    def UserInfo(self,user):
        pass

