import django_filters
from django_filters import rest_framework as filters
from ProjectInfoDisplay.models import Project,AddressList

class ProjectFilter(filters.FilterSet):
    min_date = filters.DateFilter(field_name="starting_date", lookup_expr='gte')
    max_date = filters.DateFilter(field_name="starting_date", lookup_expr='lte')
    min_investment = filters.NumberFilter(field_name='investment',lookup_expr='gte')
    max_investment = filters.NumberFilter(field_name='investment', lookup_expr='lte')

    class Meta:
        model = Project
        fields = ['min_date','max_date','min_investment','max_investment']

class AddressListFilter(filters.FilterSet):

    class Meta:
        model = AddressList
        fields = ['company_type']